# Class RgbPaperType3D

java.lang.Object
uk.ac.starlink.ttools.plot2.paper.RgbPaperType
uk.ac.starlink.ttools.plot2.paper.RgbPaperType3D

All Implemented Interfaces:
  `PaperType, PaperType3D`

Direct Known Subclasses:
  `PixelStackPaperType3D, ZBufferPaperType3D`

public abstract class RgbPaperType3D extends RgbPaperType implements PaperType3D
Abstract RgbPaperType subclass for 3-dimensional plots.

Since:
  14 Feb 2013
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`RgbPaperType3D.RgbPaper3D`
Paper for use by this type.

### Nested classes/interfaces inherited from class RgbPaperType

`RgbPaperType.RgbPaper`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RgbPaperType3D(String name, boolean upLayer)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected RgbPaperType.RgbPaper`
`createPaper(Rectangle bounds)`
Creates a paper object for given bounds.
`protected abstract RgbPaperType3D.RgbPaper3D`
`createPaper3D(Rectangle bounds)`
Creates a 3D paper object for given bounds.
`void`
`placeGlyph(Paper paper, double dx, double dy, double dz, Glyph glyph, Color color)`
Places a glyph at a 3-d position in the space.

### Methods inherited from class RgbPaperType

`createDataIcon, isBitmap, placeDecal, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface PaperType

`createDataIcon, isBitmap, placeDecal`

## Constructor Details

### RgbPaperType3D

protected RgbPaperType3D(String name, boolean upLayer)
Constructor.

Parameters:
  `name` - paper type name
  `upLayer` - true to render layers in ascending order, false to do them in descending order

## Method Details

### placeGlyph

public void placeGlyph(Paper paper, double dx, double dy, double dz, Glyph glyph, Color color)
Description copied from interface: `PaperType3D`
Places a glyph at a 3-d position in the space.

Specified by:
  `placeGlyph` in interface `PaperType3D`
Parameters:
  `paper` - graphics destination specific to this PaperType
  `dx` - graphics X coordinate
  `dy` - graphics Y coordinate
  `dz` - Z-buffer coordinate; lower values are closer to the viewer
  `glyph` - graphics shape
  `color` - colour for glyph

### createPaper

protected RgbPaperType.RgbPaper createPaper(Rectangle bounds)
Description copied from class: `RgbPaperType`
Creates a paper object for given bounds.

Specified by:
  `createPaper` in class `RgbPaperType`
Parameters:
  `bounds` - plot bounds
Returns:
  new paper instance

### createPaper3D

protected abstract RgbPaperType3D.RgbPaper3D createPaper3D(Rectangle bounds)
Creates a 3D paper object for given bounds.

Parameters:
  `bounds` - plot bounds
Returns:
  new 3d paper instance